Subject: bug#30589: closed (Re: bug#30589: serial login not working)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Mar 2018 17:00:03 +0000

Your bug report

#30589: serial login not working

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30589: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30589
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30589: serial login not working
From: Danny Milosavljevic <[email-masked]>
To: George myglc2 Clemmer <[email-masked]>
Cc: [email-masked]
Date: Thu, 8 Mar 2018 17:59:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi George,

On Thu, 08 Mar 2018 09:04:24 -0500
George myglc2 Clemmer <[email-masked]> wrote:

> On 03/08/2018 at 12:16 Danny Milosavljevic writes:
> 
> > Please try current master now.  
> 
> Hi Danny, Yes that fixed it here, thanks. - George

Great!  Thanks for your patience!

Subject: serial login not working
From: George myglc2 Clemmer <[email-masked]>
To: [email-masked]
Date: Fri, 23 Feb 2018 21:19:22 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The recent move of agetty-service into #base-services caused serial
login to stop working here. Previously this worked ...

(agetty-service (agetty-configuration (tty "ttyS1")
							(baud-rate "115200")))

First I tried removing the lines above. Then I tried ...

(define %my-services
  (modify-services %base-services
		   (agetty-service-type config =>
					(agetty-configuration
					 (tty "ttyS1")
					 (baud-rate "115200")))))

I can confirm that ...

root@g1 /home/g1# sudo echo 123 > /dev/ttyS1

... produces "123" on the serial line.

guix (GNU Guix) 0.14.0.2487-58246

config attached (my G54)

TIA - George